Bug 730102 - pulp-admin distribution list error
Summary: pulp-admin distribution list error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 19:08 UTC by Preethi Thomas
Modified: 2013-09-09 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:09 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-08-11 19:08:19 UTC
Description of problem:

Error on running pulp-admin distribution list


[root@preethi ~]# pulp-admin distribution list
+------------------------------------------+
       List of Available Distributions
+------------------------------------------+
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 23, in <module>
    admin.main()
  File "/usr/lib/python2.7/site-packages/pulp/client/lib/cli.py", line 152, in main
    command.main(self.args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 129, in main
    action.main(args[1:])
  File "/usr/lib/python2.7/site-packages/pulp/client/pluginlib/command.py", line 211, in main
    self.run()
  File "/usr/lib/python2.7/site-packages/pulp/client/admin/plugins/distribution.py", line 59, in run
    ksurl = self.cfg._sections['cds'].__getitem__('ksurl') + '/' + distro['relativepath']
KeyError: 'cds'

Version-Release number of selected component (if applicable):
[root@preethi ~]# rpm -q pulp
pulp-0.0.223-2.fc14.noarch

Comment 1 Pradeep Kilambi 2011-08-12 13:12:02 UTC
commit 08e3dc5a0fd67cc7d47da2a904a4ae3b48728e6e

$ sudo pulp-admin distribution list
+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-testfedora-noarch     
Description           	ks-testfedora-noarch      
URL                   	https://localhost/pulp/ks/released/F-14/GOLD/Fedora/x86_64/os/


Id                    	ks-clone_tf_2-noarch     
Description           	ks-clone_tf_2-noarch      
URL                   	https://localhost/pulp/ks/clone_tf_2/


$ sudo pulp-admin distribution list --repoid=testfedora+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-testfedora-noarch     
Description           	ks-testfedora-noarch      
URL                   	https://localhost/pulp/ks/released/F-14/GOLD/Fedora/x86_64/os/

Comment 2 Jeff Ortel 2011-08-12 21:48:25 UTC
build: 0.224

Comment 3 Preethi Thomas 2011-08-16 19:17:09 UTC
verified

[root@preethi ~]#  pulp-admin distribution list
+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-f14-noarch            
Description           	ks-f14-noarch             
URL                   	https://preethi.usersys.redhat.com/pulp/ks/released/F-14/GOLD/Fedora/x86_64/os/


[root@preethi ~]# rpm -q pulp
pulp-0.0.224-1.fc14.noarch

Comment 4 Preethi Thomas 2012-02-24 20:13:09 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.